#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPainter>
#include <QSpinBox>
#include <QPushButton>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QWidget>
#include <QMenu>
#include <QMenuBar>
#include <QColorDialog>
#include <QDialog>
#include <QLabel>
#include <QCheckBox>
#include <QVector>
#include <QMessageBox>
#include <math.h>

struct Shape {
    int x, y, r;
    QColor circleColor;
    bool drawHexagon;
    QColor hexagonColor;
    bool drawRadius;
    bool showCentre;
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

protected:
    void paintEvent(QPaintEvent*) override;

private slots:
    void showCircleDialog();
    void clearShapes();

private:
    QVector<Shape> shapes;
    QColor circleColor = Qt::blue;
    QColor hexagonColor = Qt::green;
    QDialog *circleDialog = nullptr;
    QSpinBox *xInput = nullptr;
    QSpinBox *yInput = nullptr;
    QSpinBox *radiusInput = nullptr;
    QPushButton *circleColorButton = nullptr;
    QPushButton *hexagonColorButton = nullptr;
    QPushButton *confirmButton = nullptr;
    QWidget *canvasWidget = nullptr;
};

#endif // MAINWINDOW_H
